%define upstream_name	 YAML
%define upstream_version 1.11

# Filter private provides:
# perl(yaml_mapping) perl(yaml_scalar) perl(yaml_sequence)
%global __provides_exclude ^perl\\(yaml_

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
%define     subrel 2
Release:    %mkrel 5

Summary:    YAML Ain't Markup Language (tm)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/YAML/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     532d30cf43088e299fb7b04c0742894deef2b077.patch
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl-Test-Base >= 0.47
BuildRequires: perl(Test::YAML)
Provides:   perl-YAML-parser
BuildArch:  noarch

%description
The YAML.pm module implements a YAML Loader and Dumper based on the YAML 1.0
specification. http://www.yaml.org/spec/

YAML is a generic data serialization language that is optimized for human
readability. It can be used to express the data structures of most modern
programming languages. (Including Perl!!!)

For information on the YAML syntax, please refer to the YAML specification.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor <<EOF
EOF
%make

%check
%__make test

%install
%makeinstall_std

%files 
%doc Changes LICENSE META.yml MYMETA.yml README
%{perl_vendorlib}/YAML*
%{_mandir}/*/*


%changelog
* Wed Feb 22 2017 neoclust <neoclust> 1.110.0-5.2.mga5
+ Revision: 1087367
- Apply P0
- Revert to 1.11 but add fixing patch
- New version 1.12
- Fix https://rt.cpan.org/Ticket/Display.html?id=97870

* Sun Oct 19 2014 umeabot <umeabot> 1.110.0-5.mga5
+ Revision: 788532
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.110.0-4.mga5
+ Revision: 749653
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.110.0-3.mga5
+ Revision: 731919
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.110.0-2.mga5
+ Revision: 686987
- Mageia 5 Mass Rebuild

* Sun Aug 31 2014 sander85 <sander85> 1.110.0-1.mga5
+ Revision: 669912
- update to 1.11

* Wed Aug 20 2014 sander85 <sander85> 1.90.0-1.mga5
+ Revision: 665926
- update to 1.09

* Tue Aug 19 2014 sander85 <sander85> 1.80.0-1.mga5
+ Revision: 665420
- update to 1.08

* Sun Aug 17 2014 sander85 <sander85> 1.60.0-1.mga5
+ Revision: 664757
- update to 1.06

* Sat Aug 16 2014 sander85 <sander85> 1.30.0-1.mga5
+ Revision: 664361
- update to 1.03

* Fri Aug 08 2014 sander85 <sander85> 1.10.0-1.mga5
+ Revision: 661044
- update to 1.01

* Thu Aug 07 2014 sander85 <sander85> 1.0.0-1.mga5
+ Revision: 660574
- update to 1.00

* Fri Aug 01 2014 sander85 <sander85> 0.980.0-1.mga5
+ Revision: 659106
- update to 0.98

* Fri Jul 18 2014 sander85 <sander85> 0.970.0-1.mga5
+ Revision: 653580
- update to 0.97

* Tue Jul 15 2014 sander85 <sander85> 0.960.0-1.mga5
+ Revision: 653025
- update to 0.96

* Sat Jun 21 2014 sander85 <sander85> 0.950.0-1.mga5
+ Revision: 638391
- update to 0.95

* Sun Jun 15 2014 sander85 <sander85> 0.940.0-1.mga5
+ Revision: 636564
- update to 0.94

* Sat Jun 14 2014 sander85 <sander85> 0.930.0-1.mga5
+ Revision: 636187
- update to 0.93

* Thu May 29 2014 sander85 <sander85> 0.920.0-1.mga5
+ Revision: 627565
- update to 0.92

* Wed May 28 2014 sander85 <sander85> 0.910.0-1.mga5
+ Revision: 627197
- update to 0.91

* Mon Feb 17 2014 jquelin <jquelin> 0.900.0-1.mga5
+ Revision: 593723
- update to 0.90

* Mon Feb 10 2014 jquelin <jquelin> 0.890.0-1.mga5
+ Revision: 588729
- update to 0.89

* Sat Feb 08 2014 sander85 <sander85> 0.880.0-1.mga5
+ Revision: 586352
- update to 0.88

* Fri Oct 18 2013 umeabot <umeabot> 0.840.0-3.mga4
+ Revision: 516287
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.840.0-2.mga3
+ Revision: 375285
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 17 2012 jquelin <jquelin> 0.840.0-1.mga3
+ Revision: 295146
- update to 0.84

* Wed Jul 11 2012 jquelin <jquelin> 0.810.0-2.mga3
+ Revision: 269462
- fix yaml::any warning (patch by tom wyant)
- fix yaml::any warning
- fix yaml::any warning (patch by tom wyant)

* Tue Jun 05 2012 jquelin <jquelin> 0.810.0-1.mga3
+ Revision: 255675
- update to 0.81

* Thu Feb 23 2012 jquelin <jquelin> 0.800.0-1.mga2
+ Revision: 213292
- update to 0.80

* Thu Jan 05 2012 jquelin <jquelin> 0.780.0-1.mga2
+ Revision: 191343
- update to 0.78

* Thu Oct 13 2011 jquelin <jquelin> 0.770.0-1.mga2
+ Revision: 154509
- update to 0.77

* Tue Apr 19 2011 jquelin <jquelin> 0.730.0-1.mga1
+ Revision: 88580
- update to 0.73

* Wed Jan 19 2011 jquelin <jquelin> 0.720.0-2.mga1
+ Revision: 24287
- rebuild
- fix specs
- imported package perl-YAML


* Fri Sep 03 2010 Jérôme Quelin <jquelin@mandriva.org> 0.720.0-1mdv2011.0
+ Revision: 575599
- update to 0.72

* Thu Jul 22 2010 Funda Wang <fwang@mandriva.org> 0.710.0-2mdv2011.0
+ Revision: 556988
- rebuild

* Sun Jan 03 2010 Jérôme Quelin <jquelin@mandriva.org> 0.710.0-1mdv2010.1
+ Revision: 485808
- update to 0.71

* Sun Aug 16 2009 Jérôme Quelin <jquelin@mandriva.org> 0.700.0-1mdv2010.0
+ Revision: 416976
- update to 0.70

* Tue Jul 28 2009 Jérôme Quelin <jquelin@mandriva.org> 0.680.0-1mdv2010.0
+ Revision: 401810
- rebuild using %%perl_convert_version
- fixed license field

* Sun Jan 04 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.68-2mdv2009.1
+ Revision: 324628
- provides virtual package perl-YAML-parser

* Mon Dec 08 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.68-1mdv2009.1
+ Revision: 311964
- update to new version 0.68

* Tue Dec 02 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.67-1mdv2009.1
+ Revision: 309335
- new version

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 0.66-2mdv2009.0
+ Revision: 224679
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Oct 12 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.66-1mdv2008.1
+ Revision: 97607
- update to new version 0.66

* Sun Jul 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.65-1mdv2008.0
+ Revision: 46535
- update to new version 0.65


* Tue Jul 04 2006 Scott Karns <scottk@mandriva.org> 0.62-1mdv2007.0
- Version 0.62 -- Upstream incorporation blessed ref LoadFile/DumpFile
  patch

* Mon Jul 03 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.61-2mdv2007.0
- Patch 0: Allow to use LoadFile/DumpFile on filenames that are blessed
  references with overloaded stringification.

* Sun Jul 02 2006 Scott Karns <scottk@mandriva.org> 0.61-1mdv2007.0
- 0.61

* Fri Feb 17 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.58-1mdk
- 0.58

* Thu Feb 02 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.57-1mdk
- 0.57

* Tue Jan 24 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.53-1mdk
- 0.53
- Update BuildRequires

* Thu Jan 19 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.52-1mdk
- 0.52

* Wed Jan 18 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.51-2mdk
- Add BuildRequires : perl-Test-Base

* Wed Jan 18 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.51-1mdk
- 0.51

* Tue Jan 10 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.50-1mdk
- 0.50

* Wed Apr 27 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.39-1mdk 
- new release
- spec cleanup
- disable test, we need a more recent Test module in core

* Mon Jan 31 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.36-1mdk
- 0.36
- add tests

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.35-3mdk
- fix buildrequires in a backward compatible way

* Fri Jul 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.35-2mdk 
- rpmbuildupdate aware

* Fri Dec 05 2003 Guillaume Rousse <guillomovitch@mandrake.org> 0.35-1mdk
- first mdk release

